Android 보안 게시판—2020년 5월

2020년 5월 4일 게시됨

Android 보안 게시판은 Android 기기에 영향을 미치는 보안 취약성 세부정보를 다룹니다. 2020-05-05 보안 패치 수준 이상에서 관련 보안 문제가 모두 해결되었습니다. 기기의 보안 패치 수준을 확인하는 방법은 Android 버전 확인 및 업데이트를 참조하세요.

Android 파트너에게는 게시되기 최소 한 달 전에 모든 문제 관련 알림이 전달되었습니다. 이러한 문제의 해결을 위한 소스 코드 패치는 향후 48시간 이내에 Android 오픈소스 프로젝트(AOSP) 저장소에 배포됩니다. 패치를 사용할 수 있게 되면 AOSP 링크와 함께 이 게시판을 수정하겠습니다.

가장 심각한 문제는 시스템 구성요소의 중대한 보안 취약점으로, 특별히 제작된 전송을 사용하는 원격 공격자가 권한이 설정된 프로세스 내에서 임의의 코드를 실행할 수 있습니다. 심각도 평가는 개발 목적으로 플랫폼 및 서비스 완화를 사용할 수 없거나 우회에 성공한 경우 취약성 악용으로 인해 대상 기기가 받는 영향을 기준으로 합니다.

Android 플랫폼의 보안을 개선하는 Android 보안 플랫폼 보호 기능 및 Google Play 프로텍트에 관해 자세히 알아보려면 Android 및 Google Play 프로텍트 완화 섹션을 참조하세요.

Android 및 Google 서비스 완화

다음은 Android 보안 플랫폼Google Play 프로텍트와 같은 서비스 보호 기능을 통해 제공되는 완화에 관한 요약입니다. 이러한 기능을 통해 Android에서 보안 취약성이 악용될 가능성을 줄입니다.

  • Android 플랫폼 최신 버전의 향상된 기능으로 Android의 여러 문제를 악용하기가 더욱 어려워졌습니다. 가능하다면 모든 사용자는 최신 버전의 Android로 업데이트하는 것이 좋습니다.
  • Android 보안팀에서는 Google Play 프로텍트를 통해 악용사례를 적극적으로 모니터링하고 잠재적으로 위험한 애플리케이션에 관해 사용자에게 경고를 보냅니다. Google Play 프로텍트는 Google 모바일 서비스가 적용된 기기에 기본적으로 사용 설정되어 있으며 Google Play 외부에서 가져온 앱을 설치하는 사용자에게 특히 중요합니다.

2020-05-01 보안 패치 수준 취약점 세부정보

다음 섹션에서는 2020-05-01 패치 수준에 적용되는 각 보안 취약점에 관해 자세히 알아볼 수 있습니다. 취약성은 영향을 받는 구성요소 아래에 분류되어 있습니다. 아래 표에서 문제 설명 및 CVE ID, 관련 참조, 취약성 유형, 심각도, 업데이트된 AOSP 버전(해당하는 경우)을 참조하세요. 가능한 경우 AOSP 변경사항 목록과 같이 문제를 해결한 공개 변경사항을 버그 ID에 연결합니다. 하나의 버그와 관련된 변경사항이 여러 개인 경우 추가 참조가 버그 ID 다음에 오는 번호에 연결됩니다. Android 10 이상을 실행하는 기기는 보안 업데이트 및 Google Play 시스템 업데이트가 제공될 수 있습니다.

프레임워크

이 섹션의 취약성이 가장 심각하게 악용될 경우 로컬 공격자가 권한이 설정된 프로세스의 컨텍스트 내에서 특별히 제작된 파일로 임의의 코드를 실행할 수 있습니다.

CVE 참조 유형 심각도 업데이트된 AOSP 버전
CVE-2020-0096
A-145669109 EoP 심각 8.0, 8.1, 9
CVE-2020-0097
A-145981139 EoP 높음 9, 10
CVE-2020-0098
A-144285917 EoP 높음 8.0, 8.1, 9, 10

미디어 프레임워크

이 섹션의 가장 심각한 취약성으로 인해 로컬 공격자가 사용자 상호작용 요구사항을 우회하여 추가적인 권한에 액세스할 수 있습니다.

CVE 참조 유형 심각도 업데이트된 AOSP 버전
CVE-2020-0094
A-148223871 EoP 높음 9, 10
CVE-2020-0093
A-148705132 ID 높음 8.0, 8.1, 9, 10
CVE-2020-0100
A-150156584 ID 높음 8.0, 8.1
CVE-2020-0101
A-144767096 ID 높음 8.0, 8.1, 9, 10

시스템

이 섹션의 가장 심각한 취약성으로 인해 특별히 제작된 전송을 사용하는 원격 공격자가 권한이 설정된 프로세스 내에서 임의의 코드를 실행할 수 있습니다.

CVE 참조 유형 심각도 업데이트된 AOSP 버전
CVE-2020-0103
A-148107188 RCE 심각 9, 10
CVE-2020-0024
A-137015265 EoP 높음 8.0, 8.1, 9, 10
CVE-2020-0102
A-143231677 EoP 높음 8.0, 8.1, 9, 10
CVE-2020-0105
A-144285084 EoP 높음 9, 10
CVE-2020-0109
A-148059175 EoP 높음 9, 10
CVE-2020-0092
A-145135488 ID 높음 10
CVE-2020-0106
A-148414207 ID 높음 10
CVE-2020-0104
A-144430870 ID 보통 9, 10

Google Play 시스템 업데이트

이번 달 Google Play 시스템 업데이트(Project Mainline)에서 해결된 보안 문제가 없습니다.

2020-05-05 보안 패치 수준 취약점 세부정보

다음 섹션에서는 2020-05-05 패치 수준에 적용되는 각 보안 취약점에 관해 자세히 알아볼 수 있습니다. 취약성은 영향을 받는 구성요소 아래에 그룹화되어 있으며 CVE, 관련 참조, 취약성 유형, 심각도, 구성요소(해당하는 경우), 업데이트된 AOSP 버전(해당하는 경우)과 같은 세부정보가 포함되어 있습니다. 가능한 경우 AOSP 변경사항 목록과 같이 문제를 해결한 공개 변경사항을 버그 ID에 연결합니다. 하나의 버그와 관련된 변경사항이 여러 개인 경우 추가 참조가 버그 ID 다음에 오는 번호에 연결됩니다.

커널 구성요소

이 섹션의 취약성이 가장 심각하게 악용될 경우 로컬 공격자가 권한이 설정된 프로세스의 컨텍스트 내에서 특별히 제작된 파일로 임의의 코드를 실행할 수 있습니다.

CVE 참조 유형 심각도 구성요소
CVE-2020-0110
A-148159562
업스트림 커널
EoP 높음 커널 스케줄러
CVE-2019-19536
A-146642883
업스트림 커널
ID 높음 PCAN-USB 드라이버

MediaTek 구성요소

이 섹션의 취약점으로 인해 로컬 공격자가 민감한 정보에 액세스할 수 있는 권한을 얻을 수 있습니다.

CVE 참조 유형 심각도 구성요소
CVE-2020-0064 A-149866855*
M-ALPS04737871
ID 높음 Omacp
CVE-2020-0065 A-149813448*
M-ALPS04886658
ID 높음 Android Suite 데몬
CVE-2020-0090 A-149813048*
M-ALPS04983879
ID 높음 이메일
CVE-2020-0091 A-149808700*
M-ALPS04356368
ID 높음 mnld

Qualcomm 구성요소

다음 취약성은 Qualcomm 구성요소에 영향을 주며 해당 Qualcomm 보안 게시판 또는 보안 알림에 자세히 설명되어 있습니다. 이러한 문제의 심각도 평가는 Qualcomm에서 직접 제공합니다.

CVE 참조 유형 심각도 구성요소
CVE-2019-14053
A-143902261
QC-CR#2317498
N/A 높음 커널
CVE-2019-14087
A-145546454
QC-CR#2165928
N/A 높음 표시
CVE-2020-3610
A-148816869
QC-CR#2460844 [2]
N/A 높음 표시
CVE-2020-3615
A-148817147
QC-CR#2256679 [2]
QC-CR#2258844
N/A 높음 WLAN
CVE-2020-3623
A-148815534
QC-CR#2472080*
N/A 높음 보안
CVE-2020-3625
A-148816727
QC-CR#2493825*
N/A 높음 보안
CVE-2020-3630
A-148816037
QC-CR#2534752 [2]
N/A 높음 동영상
CVE-2020-3680
A-144350801
QC-CR#2597382
N/A 높음 커널

Qualcomm 비공개 소스 구성요소

다음 취약성은 Qualcomm 구성요소에 영향을 주며 해당 Qualcomm 보안 게시판 또는 보안 알림에 자세히 설명되어 있습니다. 이러한 문제의 심각도 평가는 Qualcomm에서 직접 제공합니다.

CVE 참조 유형 심각도 구성요소
CVE-2020-3641
A-148816624 * N/A 심각 비공개 소스 구성요소
CVE-2019-14054
A-143902264 * N/A 높음 비공개 소스 구성요소
CVE-2019-14066
A-143903296 * N/A 높음 비공개 소스 구성요소
CVE-2019-14067
A-143902707 * N/A 높음 비공개 소스 구성요소
CVE-2019-14077
A-143903001 * N/A 높음 비공개 소스 구성요소
CVE-2019-14078
A-143902885 * N/A 높음 비공개 소스 구성요소
CVE-2020-3616
A-148816292 * N/A 높음 비공개 소스 구성요소
CVE-2020-3618
A-148817245 * N/A 높음 비공개 소스 구성요소
CVE-2020-3633
A-148816216 * N/A 높음 비공개 소스 구성요소
CVE-2020-3645
A-148816217 * N/A 높음 비공개 소스 구성요소

일반적인 질문 및 답변

이 섹션에서는 게시판 내용에 관한 일반적인 질문의 답변을 제시합니다.

1. 내 기기가 업데이트되어 이 문제가 해결되었는지 어떻게 알 수 있나요?

기기의 보안 패치 수준을 확인하는 방법은 Android 버전 확인 및 업데이트를 참조하세요.

  • 2020-05-01 보안 패치 수준과 관련된 모든 문제는 2020-05-01 보안 패치 수준 이상에서 해결됩니다.
  • 2020-05-05 보안 패치 수준 및 그 이전의 모든 패치 수준과 관련된 모든 문제는 2020-05-05 보안 패치 수준 이상에서 모두 해결됩니다.

이 업데이트를 포함하는 기기 제조업체는 패치 문자열 수준을 다음과 같이 설정해야 합니다.

  • [ro.build.version.security_patch]:[2020-05-01]
  • [ro.build.version.security_patch]:[2020-05-05]

Android 10 이상을 실행하는 일부 기기는 Google Play 시스템 업데이트에 2020-05-01 보안 패치 수준과 일치하는 날짜 문자열이 있습니다. 보안 업데이트를 설치하는 방법에 관한 자세한 내용은 이 도움말을 참조하세요.

2. 이 게시판에 두 가지 보안 패치 수준이 있는 이유가 무엇인가요?

이 게시판에는 Android 파트너가 모든 Android 기기에서 유사하게 발생하는 취약성 문제의 일부를 더욱 빠르고 유연하게 해결할 수 있도록 두 가지 보안 패치 수준이 포함되어 있습니다. Android 파트너는 이 게시판에 언급된 문제를 모두 수정하고 최신 보안 패치 수준을 사용하는 것이 좋습니다.

  • 2020-05-01 보안 패치 수준을 사용하는 기기는 이 보안 패치 수준과 관련된 모든 문제와 이전 보안 게시판에 보고된 모든 문제의 수정사항을 포함해야 합니다.
  • 2020-05-05 이후의 보안 패치 수준을 사용하는 기기는 이 보안 게시판과 이전 게시판의 모든 관련 패치를 포함해야 합니다.

파트너는 해결하는 모든 문제의 수정사항을 단 한 번의 업데이트에서 번들로 묶는 것이 좋습니다.

3. 유형 열의 항목은 무엇을 의미하나요?

취약성 세부정보 표의 유형 열에 있는 항목은 보안 취약성 분류를 뜻합니다.

약어 정의
RCE 원격 코드 실행
EoP 권한 승격
ID 정보 공개
DoS 서비스 거부
N/A 분류 없음

4. 참조 열의 항목은 무엇을 의미하나요?

취약성 세부정보 표의 참조 열에 있는 항목은 참조 값이 속한 조직을 나타내는 프리픽스를 포함할 수 있습니다.

프리픽스 참조
A- Android 버그 ID
QC- Qualcomm 참조 번호
M- MediaTek 참조 번호
N- NVIDIA 참조 번호
B- Broadcom 참조 번호

5. 참조 열에서 Android 버그 ID 옆에 있는 * 표시는 무엇을 의미하나요?

공개되지 않은 문제에는 참조 열의 Android 버그 ID 옆에 * 표시가 있습니다. 일반적으로 이러한 문제에 관한 업데이트는 Google 개발자 사이트에서 제공되는 Pixel 기기용 최신 바이너리 드라이버에 포함되어 있습니다.

6. 보안 취약성이 이 게시판과 Pixel 게시판과 같은 기기/파트너 보안 게시판에 나누어져 있는 이유가 무엇인가요?

이 보안 게시판에 설명되어 있는 보안 취약성은 Android 기기의 최신 보안 패치 수준을 선언하는 데 필요합니다. 기기/파트너 보안 게시판에 설명된 추가 보안 취약성은 보안 패치 수준을 선언하는 데 필요하지 않습니다. Google, Huawei, LGE, Motorola, Nokia, 또는 삼성과 같은 Android 기기 및 칩셋 제조업체에서는 자사 기기의 보안 취약점 세부정보를 자체적으로 게시할 수도 있습니다.

버전

버전 날짜 참고
1.0 2020년 5월 4일 게시판이 게시됨